[Buildroot] [PATCH v2 7/8] syslog-ng: update S01logging

Chris Packham judge.packham at gmail.com
Sat Sep 29 03:11:51 UTC 2018


On Sat, 29 Sep 2018, 2:50 PM Carlos Santos, <casantos at datacom.com.br> wrote:

> Reformat and fix syslog-ng startup script for better quality and code
> style:
>
> - Indent with tabs, not spaces.
> - Do not kill syslog-ng in "reload". Send a SIGHUP signal, instructing
>   it to perform a re-initialization.
> - Support a configuration file at /etc/default (an example file will be
>   added in forthcomming patch).
> - Support a configuration variable that completely disables the service
>   and issues a warning message on any invocation.
>
> Signed-off-by: Carlos Santos <casantos at datacom.com.br>
> ---
> Changes v1->v2:
> - Implement changes suggested by Arnout Vandecappelle.
> ---
>  package/syslog-ng/S01logging | 73 +++++++++++++++++++++++++-----------
>  1 file changed, 51 insertions(+), 22 deletions(-)
>
> diff --git a/package/syslog-ng/S01logging b/package/syslog-ng/S01logging
> index d7c899a1e3..58e120e5f3 100644
> --- a/package/syslog-ng/S01logging
> +++ b/package/syslog-ng/S01logging
> @@ -1,17 +1,42 @@
>  #!/bin/sh
>
> +DAEMON="syslog-ng"
> +PIDFILE="/var/run/$DAEMON.pid"
> +
> +SYSLOG_NG_ARGS=""
> +ENABLED="yes"
> +
> +# shellcheck source=/dev/null
> +[ -r "/etc/default/$DAEMON"g ] && . "/etc/default/$DAEMON"
>

Stray 'g'.

+
> +if [ "$ENABLED" != "yes" ]; then
> +       printf '%s is disabled\n' "$DAEMON"
> +       exit 0
> +fi
> +
>  start() {
> -       printf "Starting syslog-ng daemon: "
> -       start-stop-daemon -S -q -p /var/run/syslog-ng.pid \
> -               -x /usr/sbin/syslog-ng -- --pidfile /var/run/syslog-ng.pid
> -       [ $? = 0 ] && echo "OK" || echo "FAIL"
> +       printf 'Starting %s: ' "$DAEMON"
> +       # shellcheck disable=SC2086 # we need the word splitting
> +       start-stop-daemon -S -q -p "$PIDFILE" -x /usr/sbin/syslog-ng --
> $SYSLOG_NG_ARGS
> +       status=$?
> +       if [ "$status" -eq 0 ]; then
> +               echo "OK"
> +       else
> +               echo "FAIL"
> +       fi
> +       return "$status"
>  }
>
>  stop() {
> -       printf "Stopping syslog-ng daemon: "
> -       start-stop-daemon -K -q -p /var/run/syslog-ng.pid \
> -               -x /usr/sbin/syslog-ng
> -       [ $? = 0 ] && echo "OK" || echo "FAIL"
> +       printf 'Stopping %s: ' "$DAEMON"
> +       start-stop-daemon -K -q -p "$PIDFILE"
> +       status=$?
> +       if [ "$status" -eq 0 ]; then
> +               echo "OK"
> +       else
> +               echo "FAIL"
> +       fi
> +       return "$status"
>  }
>
>  restart() {
> @@ -20,19 +45,23 @@ restart() {
>         start
>  }
>
> +# SIGHUP makes syslog-ng reload its configuration
> +reload() {
> +       printf 'Stopping %s: ' "$DAEMON"
> +       start-stop-daemon -K -s HUP -q -p "$PIDFILE"
> +       status=$?
> +       if [ "$status" -eq 0 ]; then
> +               echo "OK"
> +       else
> +               echo "FAIL"
> +       fi
> +       return "$status"
> +}
> +
>  case "$1" in
> -       start)
> -               start
> -               ;;
> -       stop)
> -               stop
> -               ;;
> -       restart|reload)
> -               restart
> -               ;;
> -       *)
> -               echo "Usage: $0 {start|stop|restart}"
> -               exit 1
> +        start|stop|restart|reload)
> +                "$1";;
> +        *)
> +                echo "Usage: $0 {start|stop|restart|reload}"
> +                exit 1
>  esac
> -
> -exit $?
> --
> 2.17.1
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.busybox.net/pipermail/buildroot/attachments/20180929/cf397922/attachment-0002.html>


More information about the buildroot mailing list